<template>
  <div class="hero">
    <IconAnimationRed class="icon-red"/>
    <IconAnimationBlue class="icon-blue"/>
    <IconAnimationOrange class="icon-orange"/>
    <div class="container">
      <div class="f aic jcb hero__inner">
        <div class="f fdc hero__content">
          <h4 class="p8 blue-3">Hệ thống ứng dụng Thạch Long Hải</h4>
          <h1 class="mt075 heading">Ứng dụng quản lý <br/>bán hàng Long Hải</h1>
          <p class="mt15 gray-1 hero__description">Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.</p>
          <div class="f aic mt2 hero__footer">
            <v-button height="45px" type="dark" class="hero__button"><IconIos/>Tải cho IOS</v-button>
            <!-- <a :href="require('assets/download-app/app-nvtt.apk')" download="app-nvtt.apk"> -->
            <a :href="require('assets/img/hero.png')" download="app-nvtt.apk">
              <v-button height="45px" class="ml1 hero__button"><IconAndroid/>Tải cho Android</v-button>
            </a>
          </div>
        </div>
        <div class="hero__images">
          <img src="~/assets/img/hero.png" class="hero__image" />
        </div>
      </div>
    </div>
  </div>
</template>
<style scoped lang="scss">
@import "@/assets/base/variables";
.hero {
  position: relative;
  padding-top: 80px;

  @media screen and (min-width: $s) {
    padding-top: 120px;
  }

  &__inner {
    @media screen and (max-width: $xs) {
      flex-direction: column;
      text-align: center;
    }
  }

  &__content {
    max-width: 536px;
  }

  &__images {
    position: relative;
    width: 100%;
    max-width: 700px;

    @media screen and (max-width: $xs) {
      margin-top: 40px;
    }

    &:before {
      content: '';
      display: block;
      padding-top: calc(658/700*100%);
    }
  }

  &__image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

  &__button {
    min-width: 160px;
  }

  &__footer {
    @media screen and (max-width: $s-max) {
      justify-content: center;
    }
  }
}

.icon-red {
  position: absolute;
  top: 30px;
  left: 0;
  @media screen and (min-width: $s) {
    top: 130px;
    left: 60px;
  }
}

.icon-blue {
  position: absolute;
  top: 260px;
  left: 160px;
}

.icon-orange {
  position: absolute;
  bottom: 130px;
  right: 260px;
}
</style>
